- İstek başına max. bağlantı: 20,000
- Max. URL uzunluğu: 2,000 characters
- Desteklenen protokoller:
http://andhttps:// - Maliyet: Bağlantı başına 1 birim
- İstek limiti: Dakikada 60 istek
API Dokümantasyonu
IndexTensor'ı uygulamalarınıza basit REST API'mizle entegre edin.
Kimlik Doğrulama
Tüm API istekleri Bearer token kimlik doğrulaması gerektirir. API token'ınızı Authorization başlığına ekleyin:
Authorization: Bearer YOUR_API_TOKEN
Uç Noktalar
İndeksleme için bağlantı gönderin. Bağlantılar noktalı virgülle ayrılmış dize veya dizi olarak verilebilir.
İstek Gövdesi
// Option 1: Semicolon-separated string
{
"links": "https://example.com/page1;https://example.com/page2"
}
// Option 2: Array of links
{
"links": [
"https://example.com/page1",
"https://example.com/page2"
]
}
Başarı Yanıtı (200)
{
"status": 200,
"msg": "Task created successfully",
"data": {
"units_used": 4,
"task_id": "1721392204",
"links_count": 4
}
}
Hata Kodları
| Kod | Açıklama |
|---|---|
| 400 | Geçersiz veri (hatalı JSON, geçersiz URL'ler) |
| 401 | Eksik veya hatalı Authorization başlığı |
| 403 | Geçersiz API token |
| 404 | Uç nokta bulunamadı |
| 405 | Yetersiz bakiye |
| 429 | İstek limiti aşıldı |
| 500 | Sunucu iç hatası |
Hata Yanıt Formatı
{
"status": 400,
"message": "Task wasn't created: Invalid data provided"
}
İstek Limitleri ve Kısıtlamalar
Kod Örnekleri
curl -X POST https://indextensor.com/api/links \
-H "Authorization: Bearer YOUR_API_TOKEN" \
-H "Content-Type: application/json" \
-d '{"links": ["https://example.com/page1", "https://example.com/page2"]}'